/***************************************************************************
 *   This file is part of the eXaro project                                *
 *   Copyright (C) 2008 by BogDan Vatra                                    *
 *   bog_dan_ro@yahoo.com                                                  *
 **                   GNU General Public License Usage                    **
 *                                                                         *
 *   This library is free software: you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 *                                                                         *
 **                  GNU Lesser General Public License                    **
 *                                                                         *
 *   This library is free software: you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        * 
 *   published by the Free Software Foundation, either version 3 of the    *
 *   License, or (at your option) any later version.                       *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library.                                      * 
 *   If not, see <http://www.gnu.org/licenses/>.                           *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 ****************************************************************************/

#ifndef REPORTSEARCHWIDGET_H
#define REPORTSEARCHWIDGET_H

#include <QToolBar>
#include <QLineEdit>

namespace Report
{

class SearchWidget : public QToolBar
{
	Q_OBJECT

public:
	SearchWidget(QWidget *parent = 0);
	~SearchWidget();
	void setVisible(bool visible);

private:
	QLineEdit * m_lineEdit;
	bool m_searchNext;
	int minCharSearch;

public slots:
	void notFound();
	void searchNext();
	void searchPrevious();
	void textChanged(const QString&);
	void textChanged();

signals:
	void searchNext(const QString & text);
	void searchPrevious(const QString & text);
	void closed();
};

}

#endif
